class EstanteModel {
  EstanteModel({
    this.result,
    this.response,
    this.message,
  });

  Result? result;
  bool? response;
  String? message;

  factory EstanteModel.fromJson(Map<String, dynamic> json) => EstanteModel(
    result: Result.fromJson(json["result"]),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": result!.toJson(),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    this.ides,
    this.esta,
    this.acti,
    this.idim,
    this.uscr,
    this.fecr,
    this.usmo,
    this.femo,
    this.orde,
  });

  String? ides;
  String? esta;
  String? acti;
  String? idim;
  String? uscr;
  String? fecr;
  dynamic usmo;
  dynamic femo;
  String? orde;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    ides: json["IDES"],
    esta: json["ESTA"],
    acti: json["ACTI"],
    idim: json["IDIM"],
    uscr: json["USCR"],
    fecr: json["FECR"],
    usmo: json["USMO"],
    femo: json["FEMO"],
    orde: json["ORDE"],
  );

  Map<String, dynamic> toJson() => {
    "IDES": ides,
    "ESTA": esta,
    "ACTI": acti,
    "IDIM": idim,
    "USCR": uscr,
    "FECR": fecr,
    "USMO": usmo,
    "FEMO": femo,
    "ORDE": orde,
  };
}